import { UseCase } from '../../../core/domain/use-case';
import { GenerateReportInput } from './generate-report.case';
import { GitReport } from '../../domain/git-report';
import { GitReportRepository } from '../git-report.repository';
import { GitReportPrinter } from '../git-report.printer';
export interface GenerateUpdatedReportInput extends GenerateReportInput {
    /**
     * Force update git repository before read git log.
     */
    forceUpdate: boolean;
}
export declare class GenerateAnonymizeReportUseCase implements UseCase<GenerateReportInput, Promise<GitReport>> {
    private repository;
    private readonly printer;
    constructor(repository: GitReportRepository, printer: GitReportPrinter);
    exec({ forceUpdate, ...input }: GenerateUpdatedReportInput): Promise<GitReport>;
}
