import { GitReportRepository } from '../git-report.repository';
import { UseCase } from '../../../core/domain/use-case';
import { GitReport } from '../../domain/git-report';
import { GitReportPrinter } from '../git-report.printer';
export interface GenerateReportForProjectsInDirectoryInput {
    /**
     * Directory path where all the projects to be reported are stored
     */
    readonly directoryPath: string;
    /**
     * Force update git repository before read git log.
     */
    forceUpdate: boolean;
    /**
     * Amount of last weeks to be reported
     */
    readonly weeks: number;
}
export declare class GenerateReportForProjectsInDirectoryUseCase implements UseCase<GenerateReportForProjectsInDirectoryInput, Promise<GitReport>> {
    private repository;
    private readonly printer;
    constructor(repository: GitReportRepository, printer: GitReportPrinter);
    exec({ directoryPath, weeks, forceUpdate }: GenerateReportForProjectsInDirectoryInput): Promise<GitReport>;
}
