import { GitReportRepository } from '../git-report.repository';
import { UseCase } from '../../../core/domain/use-case';
import { GitReport } from '../../domain/git-report';
import { GitReportPrinter } from '../git-report.printer';
import { GenerateReportInput } from './generate-report.case';
export declare class GenerateUpdatedReportCase implements UseCase<GenerateReportInput, Promise<GitReport>> {
    private repository;
    private readonly printer;
    constructor(repository: GitReportRepository, printer: GitReportPrinter);
    exec({ projectsPaths, weeks }: GenerateReportInput): Promise<GitReport>;
    private generateReports;
}
