export interface CommitterInfo {
    name: string;
    email: string;
    totalFilesChanged: number;
    totalInsertions: number;
    totalDeletions: number;
    totalCommits: number;
}
interface GitReportBase {
    committers: CommitterInfo[];
    weeks: number;
    projects: string[];
}
export declare class GitReport {
    readonly committers: CommitterInfo[];
    readonly weeks: number;
    readonly projects: string[];
    readonly totalCommits: number;
    readonly totalFilesChanged: number;
    readonly totalInsertions: number;
    readonly totalDeletions: number;
    constructor({ committers, weeks, projects }: GitReportBase);
    anonymize(): GitReport;
    hasFailed(): boolean;
    toString({ verbose }?: {
        verbose: boolean;
    }): string;
    private static generateCompactContribution;
    private static generateVerboseContribution;
    private static sortCommittersByTotalCommitsDesc;
    private static computeTotals;
    private static computeContributionScore;
}
export declare class FailedGitReport extends GitReport {
    constructor(projects: string[]);
    hasFailed(): boolean;
}
export {};
