import { Notifier } from '../../core/infrastructure/notifier';
import { GitReportPrinter } from '../application/git-report.printer';
interface GitReporterOptions {
    anonymize: boolean;
    directory: string;
    forceUpdate: boolean;
    projects: string[];
    slackUrl: string;
    verbose: boolean;
    weeks: number;
}
export declare class GitReportController {
    private readonly notifier;
    private readonly printer;
    constructor(notifier: Notifier, printer: GitReportPrinter);
    exec(options: GitReporterOptions): Promise<void>;
    private executeReportForDirectory;
    private executeReportForMultipleProjects;
    private printAndNotifyReport;
    private notifyReport;
    private static concatReportWithoutUpdateWarning;
}
export {};
